Subject: bug#51259: Cannot build Guix from source (error messages about the translations)

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Thu, 21 Oct 2021 01:36:38 +0200

On Wed, 20 Oct 2021 11:52:54 -0400
Julien Lepiller <[email-masked]> wrote:

> You might be running with modified files, or the container is doing
> something unexpected. Can you try again from a clean checkout, or
> after cleaning with "git clean -fdx"? This should put the repo back
> to the last commit, and remove any additional files, as if you just
> pulled it.
I tried many things (including git clean -dfx) and at the end I don't
know exactly what made it compile but it works now and I suspect that
it's either removing GUIX_PACKAGE_PATH or using guix pull && guix
package -u that fixed it for me.

Denis.